#
# spec file for package branding-upstream
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           branding-upstream
Version:        16.0
Release:        1.11
Provides:       branding
Conflicts:      otherproviders(branding)
Source:         %{name}-COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        SUSE Brand File Supplementing Upstream Look and Feel
License:        MIT
Group:          System/Fhs

%description
This package contains the file /usr/etc/SUSE-brand, and its name is used as
a trigger for installation of look and feel and branding of packages as
it was defined by upstream developers.

WARNING: If you decide to install this package instead of the default
branding package, you will lose vendor customization of your
distribution.



%prep
%setup -q -T -c
cp -a %{S:0} COPYING

%build
cat >SUSE-brand <<EOF
upstream
VERSION = %{version}
CO-BRANDS = openSUSE SLED SLES SLE
EOF

%install
mkdir -p $RPM_BUILD_ROOT%{_distconfdir}
cp SUSE-brand $RPM_BUILD_ROOT%{_distconfdir}/

%files
%defattr(-,root,root)
%doc COPYING
%{_distconfdir}/SUSE-brand

%changelog
* Thu Mar  4 2021 Thorsten Kukuk <kukuk@suse.com>
- Move SUSE-brand to /usr/etc
* Mon Sep  2 2013 sbrabec@suse.cz
- Rename branding file to SUSE-brand (FATE#316269).
* Tue Feb  5 2013 coolo@suse.com
- bump version to 12.3
* Tue Sep 20 2011 coolo@suse.com
- bump version to 12.1
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Nov 24 2010 coolo@novell.com
- dump version to 11.4
* Sun Jun  6 2010 coolo@novell.com
- dump version to 11.3
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Wed Sep 17 2008 sbrabec@suse.cz
- New SuSE package (bnc#425390).
